using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FingersDance.Data
{
    [Serializable]
    public class Session
    {
        private String _name = "";
        private String _videoname = "";
        private String _videopath = "";
        private String _alias = "";
        private String _email = "";
        private String _description = "";
        private Dictionary<String, Project> _projects = new Dictionary<String, Project>();

        #region Constructor
        public Session(String Videoname, String Videopath)
        {
            _videopath = Videopath;
            _videoname = Videoname;
        }
        public Session()
        {}

        #endregion

        #region Properties
        public String Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public String Videopath
        {
            get { return _videopath; }
            set { _videopath = value; }
        }

        public String Alias
        {
            get { return _alias; }
            set { _alias = value; }
        }

        public String Email
        {
            get { return _email; }
            set { _email = value; }
        }

        public String Description
        {
            get { return _description; }
            set { _description = value; }
        }

        public Dictionary<String, Project> Projects
        {
            get { return _projects; }
            set { _projects = value; }
        }

        #endregion
    }
}
